package com.cardiff.sytest;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.security.config.annotation.web.builders.HttpSecurity;
import org.springframework.security.web.SecurityFilterChain;

@Configuration
public class NurseTestSecurityConfig {
    @Bean
    public SecurityFilterChain securityFilterChain(HttpSecurity http) throws Exception {
        http
                .authorizeHttpRequests(auth -> auth
                        .requestMatchers("/nurse/**").hasRole("HOSPITAL")
                        .anyRequest().denyAll()
                )
                .csrf(csrf -> csrf.disable());

        return http.build();
    }
}